What to do with a 4.2.1 iPhone4?

Discussion in 'Jailbreaks and iOS Hacks' started by eekcat, Nov 14, 2011.

  1. eekcat macrumors 6502a

    Joined:
    Apr 5, 2010
    #1
    Apologies for the dumb question -- I think I'm fairly up to date on current news for jailbreaking (or not) the latest and greatest stuff, but I recently got a 4.2.1 (03.10.01) iPhone4, and was wondering what the best course of action would be? No SHSH's saved for this one, so I'm not even sure where I can go with it -- if there's nothing I can do with it, I'll just update it to 5.0.1 :(
     
  2. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #2
    With no blobs you either stay where your at or 5.0.1
     
  3. JunkyDog macrumors 6502

    Joined:
    Sep 17, 2011
    #3
    He dont need any blobsd to upgrade to lets say: 4.3.3 All he has to do is to download the ipsw and use redsnow to upgrade it and get full jailbrake, or he might try using itunes with restore to 4.3.3, he has many options really..
    Thats my 2 cents for what ever its worth, for some - nothing, for others, well, i cant speak for them, but i know at least one stupid one that thinks im posting bullocks, i am not..:eek:

    Happy upgrading..:p
     
  4. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #4
    None sense. Without blobs save, Iphone 4 can only restores to firmware Apple currently signs.
     
  5. JunkyDog, Nov 14, 2011
    Last edited by a moderator: Nov 14, 2011

    JunkyDog macrumors 6502

    Joined:
    Sep 17, 2011
    #5
    See what i mean, tell me then why did i restore mine to 4.3.3 without those blobs? i bet you dont have any answers for that.
     
  6. Crystal-RX, Nov 14, 2011
    Last edited by a moderator: Nov 14, 2011

    Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #6
    when did you restore your phone to 4.3.3? Why don't you check your phone and see if you have blobs for it with TU?

    If TU indicates you do not have blobs for your phone, I bet you can't restore your phone to firmware that Apple does not sign.

    Since you are so confident on this, why don't you give it a try. You will not loose your 4.3.3 firmware if you said you can do it.

    Please keep us update with your progress. :)
     
  7. mindyish macrumors member

    Joined:
    Sep 3, 2011
    #7
    would love to know how you worked around that one...seriously! If there is a way I am all ears? Is that only upgrading though, not downgrading? Is there a chance you had cydia blobs and didn't know it? I got my iphone stuck in recovery loop once when I was new to jailbreaking and thought I had to restore it and everyone said without blobs I had to upgrade to latest firmware which didn't have a JB at the time. I managed to get out of recovery without restore thanks to TU but was told since apple was no longer signing my current firmware I was screwed bc i couldnt even save current blobs. Then, just for kicks I checked cydia homepage and there they were, all of them from 3.1 to 4.3.5. Since I knew nothing of JB'ing and had a friend do it a long time ago and he did all my rejailbreaking as well, I never knew he had cydia save them for me.

    Long story short, I had them saved and didn't even know it. However, I guess you would have had to know it in order to use them though so I suppose that isn't the case for you.

    Either way, would still like to know how ya upgraded to a firmware apple no longer signs without blobs. Could be useful in the future as I do a lot of jailbreaking for ppl though I am still a noob, still learning everyday.
     
  8. Cynikal.Mindset macrumors 6502a

    Joined:
    Jul 6, 2010
    Location:
    Guelph ON, Canada
    #8
    whatever you do first make an iFaith presigned firmware so you can always restore back to 4.2.1 and jailbreak

    no blobs required!
     
  9. mindyish macrumors member

    Joined:
    Sep 3, 2011
    #9
    As for the original question, It would depend on whether you rely on an unlock to use, such as you use tmobile or some other carrier which doesn't support iphone at this time. If you do, don't upgrade to 5.0 without making sure you use snow breeze to preserve your baseband otherwise your phone will not be able to be unlocked. If I am not mistaken, redsnow is now updated with a baseband preservation option as well. I prefer redsnow for jailbreaks personally.

    If you don't rely on unlock, then it just depends on whether you mind a tethered jailbreak. I am on 5.0 tethered and it doesn't bother me at all as I rarely ever power my phone off or have to reboot so I never even notice. If you don't mind tethered JB (having to boot while connected via usb to the pc or mac) then I would recommend IOS5 as I love the new features, icloud, notification center, etc. LOVE IT!

    However, if you are a die hard themer and have an iphone theme you are in love with right now and that trumps the new features of ios 5, then I would wait since most themes that rely on winterboard haven't been updated for ios 5 so there are lots of bugs and most just dont work at all. However, dreamboard works great. I prefer winterboard themes though so I am hoping we get some ios 5 themes updated soon.

    Me personally, the new features outweighed losing my themes and having tethered JB so I did ios 5.
     
  10. golgo1313, Nov 16, 2011
    Last edited: Nov 17, 2011

    golgo1313 macrumors regular

    Joined:
    Aug 29, 2008
    Location:
    Claremont, CA
    #10
    can you tell me if i'm correct in my assumptions/understanding.

    i have a iphone 4 (bb 02.10.05) in 4.1. i wanted to upgrade to 4.3.3, possibly preserving bb just in case that gets an unlock, and to have untethered jb option (and no battery issues i.e. ios 5). there is no shsh blob saved for 4.3.3, so i'm out of luck, correct? because apple isn't signing it? i tried editing the hosts file. no luck. keep getting the "this device is not eligible..." error. i get this even with the stock 4.3.3 firmware (also with pwagetooled 4.3.3). the saurik's server signing only works with shsh blobs saved?

    thanks!
     

Share This Page